import NormalTable from '@/assets/mobimg/normal-table.png'

export default {
  searchItems: [
    {
      type: 'search',
      label: '文本',
      subType: 'text'
    },
    {
      type: 'search',
      label: '下拉选择',
      subType: 'select'
    },
    {
      type: 'search',
      label: '下拉多选',
      subType: 'multiselect'
    },
    {
      type: 'search',
      label: '联动菜单',
      subType: 'link'
    },
    {
      type: 'search',
      label: '选项卡',
      subType: 'checkcard'
    },
    {
      type: 'search',
      label: '日期（天）',
      subType: 'date'
    },
    {
      type: 'search',
      label: '日期（周）',
      subType: 'dateweek'
    },
    {
      type: 'search',
      label: '日期（月）',
      subType: 'datemonth'
    },
    {
      type: 'search',
      label: '日期（区间）',
      subType: 'daterange'
    },
    {
      type: 'search',
      label: '日期（组合）',
      subType: 'group'
    }
  ],
  actionItems: [
    {
      type: 'action',
      label: '弹窗（表单）',
      text: '弹窗（表单）',
      value: 'pop',
      $init: true
    },
    {
      type: 'action',
      label: '提示框',
      text: '提示框',
      value: 'prompt',
      $init: true
    },
    {
      type: 'action',
      label: '直接执行',
      text: '直接执行',
      value: 'exec',
      $init: true
    },
    {
      type: 'action',
      label: '导入Excel',
      text: '导入Excel',
      value: 'excelIn',
      class: 'border-dgreen',
      $init: true
    },
    {
      type: 'action',
      label: '导出Excel',
      text: '导出Excel',
      value: 'excelOut',
      $init: true
    },
    {
      type: 'action',
      label: '弹窗（标签）',
      text: '弹窗（标签）',
      value: 'popview',
      $init: true
    },
    {
      type: 'action',
      label: '标签页',
      text: '标签页',
      value: 'tab',
      $init: true
    },
    {
      type: 'action',
      label: '新页面',
      text: '新页面',
      value: 'innerpage',
      $init: true
    },
    {
      type: 'action',
      label: '功能按钮',
      text: '功能按钮',
      value: 'funcbutton',
      $init: true
    }
  ],
  popactionItems: [
    {
      type: 'action',
      label: '弹窗（表单）',
      text: '弹窗（表单）',
      value: 'pop',
      $init: true
    },
    {
      type: 'action',
      label: '提示框',
      text: '提示框',
      value: 'prompt',
      $init: true
    },
    {
      type: 'action',
      label: '直接执行',
      text: '直接执行',
      value: 'exec',
      $init: true
    },
    {
      type: 'action',
      label: '导入Excel',
      text: '导入Excel',
      value: 'excelIn',
      class: 'border-dgreen',
      $init: true
    },
    {
      type: 'action',
      label: '导出Excel',
      text: '导出Excel',
      value: 'excelOut',
      $init: true
    },
    {
      type: 'action',
      label: '标签页',
      text: '标签页',
      value: 'tab',
      $init: true
    },
    {
      type: 'action',
      label: '新页面',
      text: '新页面',
      value: 'innerpage',
      $init: true
    }
  ],
  columnItems: [
    {
      type: 'col',
      label: '文本',
      subType: 'text',
      $init: true
    },
    {
      type: 'col',
      label: '数字',
      subType: 'number',
      $init: true
    },
    {
      type: 'col',
      label: '图片',
      subType: 'picture',
      $init: true
    },
    {
      type: 'col',
      label: '视频',
      subType: 'video',
      $init: true
    },
    {
      type: 'col',
      label: '链接',
      subType: 'link',
      $init: true
    },
    {
      type: 'col',
      label: '多行文本',
      subType: 'textarea',
      $init: true
    },
    {
      type: 'col',
      label: '自定义列',
      subType: 'custom',
      $init: true
    },
    {
      type: 'col',
      label: '合并列',
      subType: 'colspan',
      $init: true
    },
    {
      type: 'col',
      label: '公式',
      subType: 'formula',
      $init: true
    },
    {
      type: 'col',
      label: '序号',
      subType: 'index',
      $init: true
    }
  ],
  tabItems: [
    {
      type: 'tabs',
      label: '子表',
      subType: 'SubTable',
    }
  ],
  menuItems: [
    { type: 'menu', url: NormalTable, component: 'table', subtype: 'basetable', title: '子表' }
  ]
}

